org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryAbstractTraceableMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractTraceableMessage

All Implemented Interfaces:
  Serializable, TraceableMessage

Direct Known Subclasses:
  TcpDiscoveryCustomEventMessage, TcpDiscoveryJoinRequestMessage, TcpDiscoveryNodeAddedMessage, TcpDiscoveryNodeAddFinishedMessage, TcpDiscoveryNodeFailedMessage, TcpDiscoveryNodeLeftMessage

    public abstract class TcpDiscoveryAbstractTraceableMessage
    extends TcpDiscoveryAbstractMessage
    implements TraceableMessage

Abstract traceable message for TCP discovery.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CHANGE_TOPOLOGY_FLAG_POS, CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, COMPRESS_DATA_PACKET, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
`protected` `TcpDiscoveryAbstractTraceableMessage()` Default no-arg constructor for `Externalizable` interface.
`protected` `TcpDiscoveryAbstractTraceableMessage(TcpDiscoveryAbstractTraceableMessage msg)`
`protected` `TcpDiscoveryAbstractTraceableMessage(UUID creatorNodeId)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `readResolve()` Restores spanContainer field to non-null value after deserialization.
`SpanContainer` `spanContainer()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, toString, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryAbstractTraceableMessage

    protected TcpDiscoveryAbstractTraceableMessage()

Default no-arg constructor for `Externalizable` interface.

#### TcpDiscoveryAbstractTraceableMessage

    protected TcpDiscoveryAbstractTraceableMessage(UUID creatorNodeId)

Constructor.

Parameters:
  `creatorNodeId` - Creator node ID.

#### TcpDiscoveryAbstractTraceableMessage

    protected TcpDiscoveryAbstractTraceableMessage(TcpDiscoveryAbstractTraceableMessage msg)

Parameters:
  `msg` - Message.

### Method Detail

#### readResolve

    public Object readResolve()

Restores spanContainer field to non-null value after deserialization. This is needed for compatibility between nodes having Tracing SPI and not.

#### spanContainer

    public SpanContainer spanContainer()

Specified by:
  `spanContainer` in interface `TraceableMessage`
Returns:
  Span Container.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021